﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.22.722dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.22.722dev/BraveSetup-x64.exe'
  checksum       = '78ed525393cb25d196ef96ee836739e61b0978ae8d0f23c2237544d699d39634'
  checksum64     = '8f468d0757a6d2029ffc71e02082a35a2f020b5a85c77baeeaa9303903d614a4'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
